summaryrefslogtreecommitdiff
path: root/nptl
diff options
context:
space:
mode:
Diffstat (limited to 'nptl')
-rw-r--r--nptl/ChangeLog4
-rw-r--r--nptl/Makefile4
-rwxr-xr-xnptl/tst-tls6.sh4
3 files changed, 9 insertions, 3 deletions
diff --git a/nptl/ChangeLog b/nptl/ChangeLog
index aa1c04e95d..2176932501 100644
--- a/nptl/ChangeLog
+++ b/nptl/ChangeLog
@@ -1,5 +1,9 @@
2012-09-24 Dmitry V. Levin <ldv@altlinux.org>
+ * tst-tls6.sh: Add "set -e".
+ * Makefile: Do not specify -e option when running testsuite
+ shell scripts.
+
* tst-tls6.sh: Add copyright header.
2012-09-24 H.J. Lu <hongjiu.lu@intel.com>
diff --git a/nptl/Makefile b/nptl/Makefile
index 6f2b66c303..b081b07955 100644
--- a/nptl/Makefile
+++ b/nptl/Makefile
@@ -1,4 +1,4 @@
-# Copyright (C) 2002-2008,2009,2010,2012 Free Software Foundation, Inc.
+# Copyright (C) 2002-2012 Free Software Foundation, Inc.
# This file is part of the GNU C Library.
# The GNU C Library is free software; you can redistribute it and/or
@@ -472,7 +472,7 @@ $(objpfx)tst-tls6.out: tst-tls6.sh $(objpfx)tst-tls5 \
$(objpfx)tst-tls5moda.so $(objpfx)tst-tls5modb.so \
$(objpfx)tst-tls5modc.so $(objpfx)tst-tls5modd.so \
$(objpfx)tst-tls5mode.so $(objpfx)tst-tls5modf.so
- $(SHELL) -e tst-tls6.sh $(common-objpfx) $(elf-objpfx) \
+ $(SHELL) $< $(common-objpfx) $(elf-objpfx) \
$(rtld-installed-name)
endif
diff --git a/nptl/tst-tls6.sh b/nptl/tst-tls6.sh
index 9c334fa8b3..2622e33859 100755
--- a/nptl/tst-tls6.sh
+++ b/nptl/tst-tls6.sh
@@ -1,6 +1,6 @@
#! /bin/sh
# A tls test.
-# Copyright (C) 2003 Free Software Foundation, Inc.
+# Copyright (C) 2003-2012 Free Software Foundation, Inc.
# This file is part of the GNU C Library.
# The GNU C Library is free software; you can redistribute it and/or
@@ -17,6 +17,8 @@
# License along with the GNU C Library; if not, see
# <http://www.gnu.org/licenses/>.
+set -e
+
common_objpfx=$1; shift
elf_objpfx=$1; shift
rtld_installed_name=$1; shift